<?php

/**
 * Landig page of admin area
 *
 * This file is used to landing page of plugin admin area.
 *
 * @link       https://lin3s.com
 * @since      1.0.0
 *
 * @package    Entusiastics_Conversation_Builder
 * @subpackage Entusiastics_Conversation_Builder/admin/partials
 */


?>

<div class="wrap">

	<h1 class="wp-heading-inline">
		<?php _e('Alexandria - Mail Builder', 'entusiastics-quiz-game')?>
	</h1>

	<hr class="wp-header-end">

	<div class="landing-container">

		<div class="landing-wrapper">

			<div class="landing-box">

				<div class="landing-box-icon">
					<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_ADMIN_PATH."/assets/images/mail-builder.png"?>" alt="" />
				</div>

				<div class="landing-box-title-wrapper">
					<h2><?php _e('Mail Builder', 'entusiastics-quiz-game') ?></h2>
				</div>

				<div class="landing-box-body">

					<p class="landing-box-description">
						
					</p>

					<p class="landing-box-button">

						<input type="file" id="fileUploader" name="fileUploader" accept=".xls, .xlsx"/>
					</br></br>
					<label id="jsonObject"> JSON : </label>
					
				</p>

			</div>

		</div>

	</div>

</div>

<br class="clear">

</div>

<script>
	jQuery(document).ready(function(){
		jQuery("#fileUploader").change(function(evt){
			var selectedFile = evt.target.files[0];
			var reader = new FileReader();
			reader.onload = function(event) {
				var data = event.target.result;
				var workbook = XLSX.read(data, {
					type: 'binary'
				});
				workbook.SheetNames.forEach(function(sheetName) {

					var XL_row_object = XLSX.utils.sheet_to_row_object_array(workbook.Sheets[sheetName]);
					var json_object = JSON.stringify(XL_row_object);
					document.getElementById("jsonObject").innerHTML = json_object;

				})
			};

			reader.onerror = function(event) {
				console.error("File could not be read! Code " + event.target.error.code);
			};

			reader.readAsBinaryString(selectedFile);
		});
	});
</script>

