<?php

/**
 * Landig page of admin area
 *
 * This file is used to landing page of plugin admin area.
 *
 * @link       https://lin3s.com
 * @since      1.0.0
 *
 * @package    Alexandria_Conversation_Builder
 * @subpackage Alexandria_Conversation_Builder/admin/partials
 */


?>

<div class="wrap">

	<h1 class="wp-heading-inline">
		<?php _e('Exportador XSXL', 'alexandria-conversation-builder')?>
	</h1>

	<hr class="wp-header-end">

	<div id="dashboard-widgets-wrap">

		<div id="dashboard-widgets" class="metabox-holder">

			<div class="postbox-container" width="50%">

				<div id="normal-sortables" class="ui-sortable meta-box-sortable">

					<div class="postbox">
						<h2>
							<?php _e('Exportador de Resultados', 'alexandria-conversation-builder') ?>
						</h2>
					</div>

				</div>

			</div>

			<div class="postbox-container" width="50%">
				<h2>
					<?php _e('Descargar Plantilla', 'alexandria-conversation-builder') ?>
				</h2>
				<div>
					<button id="download_template_button" type="button">Descargar Plantilla</button>
				</div>
			</div>

		</div>

	</div>

	<div class="exporter-container">

		<div class="exporter-wrapper">

			<div id="result-box" class="exporter-box-result">

				<div class="exporter-box-title-wrapper">
					<h2>
						<?php _e('Previsualización', 'alexandria-conversation-builder') ?>
					</h2>
				</div>

				<table id="excelDataTable" class="form-table">
				</table>

			</div>

			<div class="exporter-button-section">
				<button>Crear Builds</button>
			</div>

		</div>

	</div>

	<br class="clear">

</div>

<script>
	jQuery(document).ready(function(){

		jQuery("#fileUploader").change(function(evt){

			jQuery('#export-loader').fadeIn();

			var selectedFile = evt.target.files[0];
			var reader = new FileReader();

			reader.onload = function(event) {
				var json = {};
				var data = event.target.result;
				var workbook = XLSX.read(data, {
					type: 'binary'
				});
				workbook.SheetNames.forEach(function(sheetName) {
					json = XLSX.utils.sheet_to_json(workbook.Sheets[sheetName]);
					buildHtmlTable('#excelDataTable', json);
				});
			};

			reader.onerror = function(event) {
				console.error("File could not be read! Code " + event.target.error.code);
			};

			reader.readAsBinaryString(selectedFile);
		});
	});

	// Builds the HTML Table out of myList.
	function buildHtmlTable(selector, myList) {
		var columns = addAllColumnHeaders(myList, selector);

		for (var i = 0; i < myList.length; i++) {
			var row$ = jQuery('<tr/>');
			for (var colIndex = 0; colIndex < columns.length; colIndex++) {
				var cellValue = myList[i][columns[colIndex]];
				if (cellValue == null) cellValue = "";
				row$.append(jQuery('<td contenteditable="true" />').html(cellValue));
			}
			jQuery(selector).append(row$);
		}
	}

// Adds a header row to the table and returns the set of columns.
// Need to do union of keys from all records as some records may not contain
// all records.
function addAllColumnHeaders(myList, selector) {
	var columnSet = [];
	var headerTr$ = jQuery('<tr/>');

	for (var i = 0; i < myList.length; i++) {
		var rowHash = myList[i];
		for (var key in rowHash) {
			if (jQuery.inArray(key, columnSet) == -1) {
				columnSet.push(key);
				headerTr$.append(jQuery('<th/>').html(key));
			}
		}
	}
	jQuery(selector).append(headerTr$);

	return columnSet;
}


jQuery(function(){

	var dataArr = [];

	jQuery("td").each(function(){
		dataArr.push(jQuery(this).html());
	});

	jQuery('#sendServer').click(function(){
		jQuery.ajax({
			type : "POST",
			url : 'server.php',
			data : "content="+dataArr,
			success: function(data) {
                  alert(data);// alert the data from the server
              },
              error : function() {
              }
          });
	});

});

jQuery('#download_template_button').on('click', function(){
	jQuery.ajax({
		type: "POST",
		url: '<?php echo admin_url( 'admin-ajax.php' ) ?>',
		data:{
			action:'alexandria_download_template'
		},
		success:function(response) {
			console.log(response);
		}
	});
});
</script>

