<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://lin3s.com
 * @since      1.0.0
 *
 * @package    Alexandria_Conversation_Builder
 * @subpackage Alexandria_Conversation_Builder/admin/partials
 */


?>

<div class="wrap">

	<h1 class="wp-heading-inline">
		<?php _e('Añadir/Editar Nueva Emoción', 'alexandria-mail-builder')?>
	</h1>

	<ul>

		<li class="all">

			<a href="admin.php?page=alexandria-mail-builder-emociones">
				<?php _e('Volver a las emociones', 'alexandria-mail-builder') ?>
			</a>

		</li>

	</ul>

	<hr class="wp-header-end">

	<div class="postbox-container">

		<form id="alexandria-emocion-form" method="post" onsubmit="return validateAlexandriaMailBuilderProfile(this);">

			<table class="form-table fixed">

				<tbody>
					<tr>
						<th>
							<label for="title">
								<?php _e('Título', 'alexandria-mail-builder')?>

							</label>
						</th>

						<td>
							<input id="title" name="title" type="text" value="<?php echo stripslashes(@$emocion->title)?>" class="regular-text">
							<p class="description"><?php _e('´Nombre de la Emoción.', 'alexandria-mail-builder')?></p>
						</td>

					</tr>

					<tr>
						<th scope="row">
							<label for="description">
								<?php _e('Breve descripción', 'alexandria-mail-builder')?>
							</label>
						</th>
						<td>
							<textarea name="description" id="description"><?php echo stripslashes(@$emocion->description) ?></textarea>

							<p class="description"><?php _e('Breve descripción de la emoción.', 'alexandria-mail-builder')?></p>
						</td>
					</tr>

					<tr>
						<th scope="row">
							<input type="hidden" name="ok" value="1" />
							<input type="submit" name="save" value="<?php _e('Guardar', 'alexandria-mail-builder')?>" class="button-primary"/>
						</th>
					</tr>

				</tbody>

			</table>

		</form>

		<?php wp_nonce_field('alexandria_mail_builder_profile');?>

	</div>

	<div id="title_notice" class="notice notice-error" style="display: none">
		<p><?php _e('Debes indicar un título para la emoción', 'alexandria-mail-builder')?></p>
	</div>

	<div id="description_notice" class="notice notice-error" style="display: none">
		<p><?php _e('Debes indicar una descripción para la emoción', 'alexandria-mail-builder')?></p>
	</div>

</div>

<script type="text/javascript" >

	function validateAlexandriaMailBuilderProfile(frm) {

		if(frm.name.value == '') {
			$('#title_notice').css('display', 'block')
			frm.title.focus();
			return false;
		}

		if(frm.connotation.value == '-1') {
			$('#description_notice').css('display', 'block')
			frm.description.focus();
			return false;
		}

		return true;
	}

</script>